/*=========================================================================                                                                               
  Program:   bbtk
  Module:    $RCSfile: bbstdStringSelect.cxx,v $
  Language:  C++
  Date:      $Date: 2008/10/17 08:18:27 $
  Version:   $Revision: 1.4 $
=========================================================================*/

/* ---------------------------------------------------------------------

* Copyright (c) CREATIS-LRMN (Centre de Recherche en Imagerie Medicale)
* Authors : Eduardo Davila, Laurent Guigues, Jean-Pierre Roux
*
*  This software is governed by the CeCILL-B license under French law and 
*  abiding by the rules of distribution of free software. You can  use, 
*  modify and/ or redistribute the software under the terms of the CeCILL-B 
*  license as circulated by CEA, CNRS and INRIA at the following URL 
*  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
*  or in the file LICENSE.txt.
*
*  As a counterpart to the access to the source code and  rights to copy,
*  modify and redistribute granted by the license, users are provided only
*  with a limited warranty  and the software's author,  the holder of the
*  economic rights,  and the successive licensors  have only  limited
*  liability. 
*
*  The fact that you are presently reading this means that you have had
*  knowledge of the CeCILL-B license and that you accept its terms.
* ------------------------------------------------------------------------ */                                                                         


#include "bbstdStringSelect.h"
#include "bbstdPackage.h"

namespace bbstd
{

  BBTK_ADD_BLACK_BOX_TO_PACKAGE(std,StringSelect)
    BBTK_BLACK_BOX_IMPLEMENTATION(StringSelect,bbtk::AtomicBlackBox);
  
  void StringSelect::bbUserConstructor() 
  { 
    bbSetInputIn(0);
    bbSetInputIn0("");
    bbSetInputIn1("");
    bbSetInputIn2("");
    bbSetInputIn3("");
    bbSetInputIn4("");
    bbSetInputIn5("");
    bbSetInputIn6("");
    bbSetInputIn7("");
    bbSetInputIn8("");
    bbSetInputIn9("");
  }
  
  
  
  void StringSelect::DoProcess()
  {
    if (bbGetInputIn()==0) bbSetOutputOut( bbGetInputIn0() );
    else if (bbGetInputIn()==1) bbSetOutputOut( bbGetInputIn1() );
    else if (bbGetInputIn()==2) bbSetOutputOut( bbGetInputIn2() );
    else if (bbGetInputIn()==3) bbSetOutputOut( bbGetInputIn3() );
    else if (bbGetInputIn()==4) bbSetOutputOut( bbGetInputIn4() );
    else if (bbGetInputIn()==5) bbSetOutputOut( bbGetInputIn5() );
    else if (bbGetInputIn()==6) bbSetOutputOut( bbGetInputIn6() );
    else if (bbGetInputIn()==7) bbSetOutputOut( bbGetInputIn7() );
    else if (bbGetInputIn()==8) bbSetOutputOut( bbGetInputIn8() );
    else if (bbGetInputIn()==9) bbSetOutputOut( bbGetInputIn9() );
    
  }
}
// EO namespace bbstd


