MESSAGE(STATUS "")
MESSAGE(STATUS "=======================================")
MESSAGE(STATUS "Adding definitions:")
# Set C preprocessor definitions
CREA_DEFINE_WITH_VAL(BBTK_SHARE_REL_PATH ${BBTK_SHARE_REL_PATH})
CREA_DEFINE_WITH_VAL(BBTK_DOC_REL_PATH ${BBTK_DOC_REL_PATH})
CREA_DEFINE_WITH_VAL(BBTK_BBS_REL_PATH ${BBTK_BBS_REL_PATH})
CREA_DEFINE_WITH_VAL(BBTK_DATA_REL_PATH ${BBTK_DATA_REL_PATH})
#-----------------------------------------------------------------------------
# messages compilation options 
IF (BBTK_COMPILE_MESSAGES) 
  CREA_DEFINE( BBTK_COMPILE_MESSAGES )
ENDIF (BBTK_COMPILE_MESSAGES) 

IF (BBTK_COMPILE_DEBUG_MESSAGES) 
  CREA_DEFINE( BBTK_COMPILE_DEBUG_MESSAGES )
ENDIF (BBTK_COMPILE_DEBUG_MESSAGES) 

IF (BBTK_COMPILE_WARNING_MESSAGES) 
  CREA_DEFINE( BBTK_COMPILE_WARNING_MESSAGES )
ENDIF (BBTK_COMPILE_WARNING_MESSAGES) 

IF (BBTK_COMPILE_ERROR_MESSAGES) 
  CREA_DEFINE( BBTK_COMPILE_ERROR_MESSAGES )
ENDIF (BBTK_COMPILE_ERROR_MESSAGES) 
#-----------------------------------------------------------------------------

IF(APPLE)
 CREA_DEFINE(MACOSX)
ELSE(APPLE)
  IF("${CMAKE_SYSTEM}" MATCHES "Linux")
    CREA_DEFINE(LINUX)
  ELSE("${CMAKE_SYSTEM}" MATCHES "Linux")
    IF(WIN32)
      CREA_DEFINE(WIN32)
    ELSE(WIN32)
      MESSAGE(FATAL_ERROR "${CMAKE_SYSTEM} unsupported ! Build at your own risks ! (remove this line from kernel/cmake/BBTKAddDefinitions.cmake)")
    ENDIF(WIN32)
  ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")
ENDIF(APPLE) 
#-----------------------------------------------------------------------------

MESSAGE(STATUS "=======================================")
MESSAGE(STATUS "")
